MPI_Wtick(3)

NAME
MPI_Wtick - Returns the resolution of MPI_Wtime.

SYNTAX

C Syntax
#include <mpi.h>
double MPI_Wtick()

Fortran Syntax
INCLUDE 'mpif.h'
DOUBLE PRECISION MPI_WTICK()

C++ Syntax
#include <mpi.h>
double MPI::Wtick()

RETURN VALUE
Time in seconds of resolution of MPI_Wtime.

DESCRIPTION
MPI_Wtick returns the resolution of MPI_Wtime in seconds. That is, it returns, as a double-precision value, the number of seconds between successive clock ticks. For example, if the clock is implemented by the hardware as a counter that is incremented every millisecond, the value returned by MPI_Wtick should be 10^-3.

Note that on POSIX platforms, Open MPI should always return 10^-6 for MPI_Wtick. The returned value may be different on Windows platforms.

NOTE
This function does not return an error value. Consequently, the result of calling it before MPI_Init or after MPI_Finalize is undefined.

SEE ALSO

MPI_Wtime